import { SportTypes, ProfileTypes } from 'config'

import { getProfileLogo } from '..'

describe('getLogo helper', () => {
  it('returns logo url', () => {
    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.PLAYERS,
      sportType: SportTypes.FOOTBALL,
    })).toBe('https://api.test.insports.tv/v1/players/1/1/media')

    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.TEAMS,
      sportType: SportTypes.BASKETBALL,
    })).toBe('https://api.test.insports.tv/v1/teams/3/1/media')

    expect(getProfileLogo({
      id: 1,
      profileType: ProfileTypes.TOURNAMENTS,
      sportType: SportTypes.HOCKEY,
    })).toBe('https://api.test.insports.tv/v1/tournaments/2/1/media')
  })
})
